Bug 645764 - Review Request: django-addons - to add plugging functionality in your projects easier
Review Request: django-addons - to add plugging functionality in your project...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Guillermo Gómez
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 645752
  Show dependency treegraph
 
Reported: 2010-10-22 08:25 EDT by Domingo Becker
Modified: 2013-10-19 10:42 EDT (History)
4 users (show)

See Also:
Fixed In Version: django-addons-0.6.3-1.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-20 12:28:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
guillermo.gomez: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Domingo Becker 2010-10-22 08:25:02 EDT
Spec URL: http://beckerde.fedorapeople.org/transifex/django-addons.spec
SRPM URL: http://beckerde.fedorapeople.org/transifex/django-addons-0.6.1-1.fc13.src.rpm
Description: A simple project to make plugging functionality in your projects using external apps (addons or plugins) easier.
Comment 1 Gianluca Sforna 2010-10-25 05:53:00 EDT
Some remarks from a quick glance:

1. summary is too long, should not end with "." (see rpmlint)
2. I'd use URL: http://pypi.python.org/pypi/django-addons
3. description is a bit short, see above URL for a longer one
4. Please split long lines to fit 80 cols (again, see rpmlint)
5. Use a full URL for Source, so "spectool -g django-addons.spec" will get it
6. Always prefer .gz or .bz2 archives when available
7. .py files (or at least the ones I checked) does not include licensing info in the header, upstream should be notified this can later be source of issues.
8. The only licensing info I found (in PKG-INFO) says this is BSD, not ASL 2.0, am I missing something?
Comment 2 Guillermo Gómez 2010-10-26 10:48:30 EDT
I'll take this one, coworking with Toshio.
Comment 3 Gianluca Sforna 2010-10-26 10:59:52 EDT
Guillermo, feel free to contact me if you and Toshio are looking for some help with reviewing the new TX stack.

I'm "giallu" on IRC.
Comment 4 Domingo Becker 2010-10-28 15:51:33 EDT
(In reply to comment #1)
> 1. summary is too long, should not end with "." (see rpmlint)

Fixed.

> 2. I'd use URL: http://pypi.python.org/pypi/django-addons

It uses that URL now.

> 3. description is a bit short, see above URL for a longer one

Fixed.

> 4. Please split long lines to fit 80 cols (again, see rpmlint)

Fixed.

> 5. Use a full URL for Source, so "spectool -g django-addons.spec" will get it

Fixed.

> 6. Always prefer .gz or .bz2 archives when available

Fixed. It's using a tar.gz now.

> 7. .py files (or at least the ones I checked) does not include licensing info
> in the header, upstream should be notified this can later be source of issues.
> 8. The only licensing info I found (in PKG-INFO) says this is BSD, not ASL 2.0,
> am I missing something?

Fixed. 
It includes now a LICENCE file for the whole package.
This change needed a new update to be pushed to pypi.python.org which has been done yesterday by upstream.

The new .spec reflects the use of the new version, and adds a small patch to django_addons/models.py to remove an unterminated null string.

Spec URL: http://beckerde.fedorapeople.org/transifex/django-addons.spec
SRPM URL:
http://beckerde.fedorapeople.org/transifex/django-addons-0.6.2-1.fc13.src.rpm
Comment 5 Gianluca Sforna 2010-10-30 16:35:16 EDT
Much better :) 

As is, it won't build in mock, you need to add Django to BuildRequires.

Then it will build at least in F14 and EPEL6, but not on EPEL5, where python-setuptools-devel does not exist; if you're not going to ask for a EL5 branch you may ignore the issue.

the LICENSE file needs to be added to %doc, along with README or PKG-INFO (the least two seem to have basically the same content)

rpmlint is not clean; some items will go away but I think:
django-addons.noarch: W: non-standard-dir-in-usr django_addons

needs to be addressed.

Is there a reason why that directory is not in /usr/share ?
Comment 6 Gianluca Sforna 2010-10-30 16:40:36 EDT
Ah, forgot a couple more points.

URL should be simple the reference to the project website, like this:
URL:            http://pypi.python.org/pypi/django-addons

It's a SHOULD item but please add a comment in the spec about the added patch; if you reported it upstream, a link to an open issue or even a mailing list message is just enough, see:

https://fedoraproject.org/wiki/Packaging/Guidelines#All_patches_should_have_an_upstream_bug_link_or_comment
Comment 7 Guillermo Gómez 2010-11-02 07:00:09 EDT
Please run rpmlint -i over spec, rpms and srpm and includes its output in BZ for every request for review.

Please fix URL tag: http://pypi.python.org/pypi/django-addons/%{name}-%{version}.tar.gz  (not found) to simply http://pypi.python.org/pypi/django-addons (home site of the project).

The other issue i think needs to be addressed is:

django-addons.noarch: W: non-standard-dir-in-usr django_addons
Your package is creating a non-standard subdirectory in /usr. The standard
directories are: X11R6, X386, bin, games, include, lib, lib64, local, sbin,
share, src, spool, tmp

Today i'll get back to this BZ as soon as i can.
Comment 8 Domingo Becker 2010-11-03 17:55:43 EDT
(In reply to comment #5)
> Much better :) 
> 
> As is, it won't build in mock, you need to add Django to BuildRequires.
> 

Added.

> Then it will build at least in F14 and EPEL6, but not on EPEL5, where
> python-setuptools-devel does not exist; if you're not going to ask for a EL5
> branch you may ignore the issue.
> 

I guess it will be F14 or EPEL6.

> the LICENSE file needs to be added to %doc, along with README or PKG-INFO (the
> least two seem to have basically the same content)
> 

This has not been done yet.

> rpmlint is not clean; some items will go away but I think:
> django-addons.noarch: W: non-standard-dir-in-usr django_addons
> 
> needs to be addressed.
> 
> Is there a reason why that directory is not in /usr/share ?

I asked upstream about this issue.


(In reply to comment #6)
> Ah, forgot a couple more points.
> 
> URL should be simple the reference to the project website, like this:
> URL:            http://pypi.python.org/pypi/django-addons
> 

Fixed.

> It's a SHOULD item but please add a comment in the spec about the added patch;
> if you reported it upstream, a link to an open issue or even a mailing list
> message is just enough, see:
> 
> https://fedoraproject.org/wiki/Packaging/Guidelines#All_patches_should_have_an_upstream_bug_link_or_comment

Fixed. An email has been sent.

Current django-addons.spec and patch with new file name are in

Spec URL: http://beckerde.fedorapeople.org/transifex/django-addons.spec
Patch URL: http://beckerde.fedorapeople.org/transifex/django-addons-rm-bad-string.diff
SRPM URL:
http://beckerde.fedorapeople.org/transifex/django-addons-0.6.2-1.fc13.src.rpm
Comment 9 Domingo Becker 2010-11-04 12:58:07 EDT
(In reply to comment #8)
> 
> > the LICENSE file needs to be added to %doc, along with README or PKG-INFO (the
> > least two seem to have basically the same content)
> > 
> 

Fixed.
Added a %doc section.

> 
> > rpmlint is not clean; some items will go away but I think:
> > django-addons.noarch: W: non-standard-dir-in-usr django_addons
> > 
> > needs to be addressed.
> > 
> > Is there a reason why that directory is not in /usr/share ?
> 
> I asked upstream about this issue.
> 

Fixed with Toshio's patch to move the data files to a more appropriate place.

Current django-addons.spec and patches are in

Spec URL: http://beckerde.fedorapeople.org/transifex/django-addons.spec

Patch1 URL: http://beckerde.fedorapeople.org/transifex/django-addons-rm-bad-string.diff

Patch2 URL: http://toshio.fedorapeople.org/django-addons-package-data.patch

SRPM URL:
http://beckerde.fedorapeople.org/transifex/django-addons-0.6.2-2.fc13.src.rpm
Comment 10 Domingo Becker 2010-11-04 13:08:32 EDT
Updated to new upstream version 0.6.3 which applies proposed patches:

Spec URL: http://beckerde.fedorapeople.org/transifex/django-addons.spec

SRPM URL:
http://beckerde.fedorapeople.org/transifex/django-addons-0.6.3-1.fc13.src.rpm
Comment 11 Gianluca Sforna 2010-11-04 19:31:03 EDT
Ok. I think the package is ready, Guillermo, do you mind if I hijack the request and approve it?
Comment 12 Guillermo Gómez 2010-11-05 07:18:00 EDT
I do think too its ready.

APPROVED
Comment 13 Domingo Becker 2010-11-09 08:04:16 EST
New Package SCM Request
=======================
Package Name: django-addons
Short Description: A framework to create pluggable Django add-ons
Owners: beckerde
Branches: f13 f14 el5 el6
InitialCC: glezos diegobz
Comment 14 Jason Tibbitts 2010-11-09 08:33:27 EST
Git done (by process-git-requests).
Comment 15 Fedora Update System 2010-12-01 12:02:19 EST
django-addons-0.6.3-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/django-addons-0.6.3-1.fc13
Comment 16 Fedora Update System 2010-12-01 12:04:10 EST
django-addons-0.6.3-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/django-addons-0.6.3-1.fc14
Comment 17 Fedora Update System 2010-12-01 16:58:33 EST
django-addons-0.6.3-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update django-addons'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/django-addons-0.6.3-1.fc14
Comment 18 Domingo Becker 2010-12-02 15:22:16 EST
New upstream version.
The previous version does not build under el5, our main target distribution.

Spec URL: http://beckerde.fedorapeople.org/transifex/django-addons.spec
SRPM URL:
http://beckerde.fedorapeople.org/transifex/django-addons-0.6.3-1.fc13.src.rpm
Comment 19 Domingo Becker 2010-12-02 15:23:14 EST
(In reply to comment #18)
> New upstream version.
> The previous version does not build under el5, our main target distribution.
> 

Sorry, the src.rpm URL is incorrect.

Spec URL: http://beckerde.fedorapeople.org/transifex/django-addons.spec
SRPM URL:
http://beckerde.fedorapeople.org/transifex/django-addons-0.6.4-1.fc13.src.rpm
Comment 20 Domingo Becker 2010-12-03 09:53:49 EST
New spec and srpm to fix the Django version number requirement in el5.

Spec URL: http://beckerde.fedorapeople.org/transifex/django-addons.spec
SRPM URL:
http://beckerde.fedorapeople.org/transifex/django-addons-0.6.4-2.fc13.src.rpm
Comment 21 Domingo Becker 2010-12-03 11:21:05 EST
Python for el5 complains about the requires y setup.py code.
It was removed by a patch.

Spec URL: http://beckerde.fedorapeople.org/transifex/django-addons.spec
SRPM URL:
http://beckerde.fedorapeople.org/transifex/django-addons-0.6.4-4.fc13.src.rpm
Comment 22 Fedora Update System 2010-12-03 11:24:51 EST
django-addons-0.6.4-4.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/django-addons-0.6.4-4.el5
Comment 23 Fedora Update System 2010-12-20 12:28:18 EST
django-addons-0.6.4-4.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 24 Fedora Update System 2010-12-20 16:58:44 EST
django-addons-0.6.3-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 25 Fedora Update System 2010-12-20 16:59:27 EST
django-addons-0.6.3-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.